GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
type_stack_elt Union Reference

`#include "parser-defs.h"`

## Public Member Functions
| VEC (type_ptr) *typelist_val

## Public Attributes
enum type_pieces | piece
int | int_val
struct type_stack * | stack_val

## Detailed Description

Definition at line 152 of file parser-defs.h.

## Member Function Documentation

## ◆ VEC()

type_stack_elt::VEC | ( | type_ptr |  | ) |

## Member Data Documentation

## ◆ int_val

int type_stack_elt::int_val

Definition at line 155 of file parser-defs.h.

Referenced by insert_type_address_space(), pop_type_int(), and push_type_int().

## ◆ piece

enum type_pieces type_stack_elt::piece

Definition at line 154 of file parser-defs.h.

Referenced by insert_type(), insert_type_address_space(), pop_type(), and push_type().

## ◆ stack_val

struct type_stack* type_stack_elt::stack_val

Definition at line 156 of file parser-defs.h.

Referenced by pop_type_stack(), and push_type_stack().

The documentation for this union was generated from the following file:

- /tmp/gdb-8.1/gdb/parser-defs.h